Upload file for a record | Parallel Developer Documentation
Version: Current – v2.x
This endpoint can be used to upload a file and create a Record File entry that is associated with an individual or business record.
HTTP Request
POST https://api.parallelmarkets.com/v2/partner-records/{id}/files
{id}- The individual or business ID in your case management account. If an external_id has been set, theexternal_idvalue can be used instead.Content-Type:multipart/form-data.
Request Parameters
| Parameter | Type | Description |
|---|---|---|
file |
file | Required File contents via multipart/form-data. |
type |
string | Required The type of document the file represents. Use Record File Types to list supported values. |
other_type_name |
string | Optional. When providing type="other", you can provide a custom type name for the file. The value will be converted to "Title Case" before being saved. |
note |
string | Optional. Additional context or description to be included with the file. This field can be used to provide any relevant information or metadata about the file. |
expires_at |
string | Optional. ISO-8601 timestamp of when the document expires. |
Sample request
cURL Request
curl --location --request POST 'https://api.parallelmarkets.com/v2/partner-records/{id}/files' \
--header 'Authorization: Bearer <api_key>' \
--form 'file=@